Function
atEnd
Returns true if there is no more data to be read.
bool atEnd(recordReader)
Include Headers
seqan/stream.h
Parameters

recordReader | The RecordReader to query the state of. Types: RecordReader

Return Values
This function returns true if the file is at end or there was an error reading. It returns false if there is more data to read. In parsing functions, you can use resultCode to get the result to return from your parsing function.
Member of
RecordReader
See Also
resultCode, value
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57